import request from '@/utils/request'


// 分页查询
export function list(query) {
  return request({
    url: '/leaveNew/taskList',
    method: 'get',
    params: query
  })
}
//审核流程表单
export function showForms(instanceId) {
  return request({
    url: '/leaveNew/showForms/' + instanceId,
    method: 'get'
  })
}
// 查看
export function get(modelKey,formKey,modelVersion) {
  return request({
    url: '/leaveNew/taskFormData?modelKey='+modelKey+"&formKey="+formKey+"&modelVersion="+modelVersion,
    method: 'get',
  })
}
// 提交
export function add(data) {
  return request({
    url: '/leaveNew/taskCommit',
    method: 'post',
    data:data
  })
}
